<?php
$filename = 'c_leitura.php';

if (!file_exists($filename)) {
    header("Location: error.php");
    exit;
}
include 'c_leitura.php';

session_start();

$nivel_necessario = 4;

// Verifica se não há a variável da sessão que identifica o usuário
if (!isset($_SESSION['UsuarioID']) OR ( $_SESSION['UsuarioNivel'] > $nivel_necessario)) {
    // Destrói a sessão por segurança
    session_destroy();
    // Redireciona o visitante de volta pro login
    header("Location: index.php");
    exit;
}
require_once("db.php");

$argsGet = array(
    'id' => array(
        'filter' => FILTER_SANITIZE_STRING
    )
);
$inputGET = filter_input_array(INPUT_GET, $argsGet);

if (!empty($inputGET['id'])) {

    $id = $inputGET['id'];

    ?>
    <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
        <h4 class="modal-title" id="myModalLabel">Detalhamento do Tablet</h4>
    </div>								
    <div class="modal-body"> 
        <div class="row">
            <div class="col-lg-12">
                <div class="row">
                    <div id='leiturainfo<?= $id ?>' class="col-lg-12">

                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
        <button type="submit" class="btn btn-primary" id="btnSalvarNewClient" >Salvar</button>                
    </div>	
    <script>
        var podeZerarLeituraVirtual = false;
        update();
        var auto_refresh;
        
        $('[id^="myModalDetalhesTablet2"]').on('shown.bs.modal', function (e) {
            auto_refresh = setInterval(function () {
                update();
            }, 5000);
        })

        $('.close').click(function () {
            clearInterval(auto_refresh);
        });
        
        $('div[id^="myModalDetalhesTablet2"]').on('hide.bs.modal', function() {
             clearInterval(auto_refresh);
        });

        function update()
        {
            console.log("Update");
            $('#leiturainfo<?= $id ?>').load('leiturainfoVirtual.php', {'id': '<?php echo $id ?>'}, function ()
            {
                console.log("Load");
            }).fadeIn("slow");
        }
    </script>
    <?php
}
?>